package com.iit;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

public class GreetingClient {

	private Socket clientSocket;
	private PrintWriter out;
	private BufferedReader in;

	public void startConnection(String ip, int port) {
		try {
			clientSocket = new Socket(ip, port);
			out = new PrintWriter(clientSocket.getOutputStream(), true);
			in = new BufferedReader(new InputStreamReader(clientSocket.getInputStream()));
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public String sendMessage(String msg) {
		try {
			out.println(msg);
			return in.readLine();
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}

	public void readMessage() {
		InputStream input;
		try {
			input = clientSocket.getInputStream();

			BufferedReader reader = new BufferedReader(new InputStreamReader(input));
			String time = reader.readLine();
			System.out.println(time);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public void stopConnection() {
		try {
			in.close();
			out.close();
			clientSocket.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		GreetingClient client = new GreetingClient();
		client.startConnection("localhost", 4444);
		client.readMessage();
		client.stopConnection();
	}

}